# Pseudocode

{% hint style="info" %}
The options below appear when the **Jump menu is opened from the** [**Pseudocode View**](/core/user-interface/concepts/subviews.md#pseudocode-window). In other views, the menu adapts dynamically and may show a different set of options.
{% endhint %}

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                                     | Action Name           | Description                                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------------ | --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Jump to operand](/ida-actions/jumpenter.md)                       | `JumpEnter`           | Jump to the specified address.                                                                                                                                                                                                                                                      |
| [Jump in a new window](/ida-actions/jumpenternew.md)               | `JumpEnterNew`        | Jump in a new window                                                                                                                                                                                                                                                                |
| [Jump to previous position](/ida-actions/return.md)                | `Return`              | Return to the previous saved position.                                                                                                                                                                                                                                              |
| [Jump to next position](/ida-actions/undoreturn.md)                | `UndoReturn`          | Go to the next saved position.                                                                                                                                                                                                                                                      |
| [Empty navigation stack](/ida-actions/emptystack.md)               | `EmptyStack`          | Remove everything from the jumps stack                                                                                                                                                                                                                                              |
| Jump to pseudocode                                                 | `hx:JumpPseudo`       |                                                                                                                                                                                                                                                                                     |
| [Jump to address...](/ida-actions/jumpask.md)                      | `JumpAsk`             | Jump to the specified address.                                                                                                                                                                                                                                                      |
| [Jump anywhere...](/ida-actions/jumpanywhere.md)                   | `JumpAnywhere`        | Jump to any location in the database. Jump Anywhere simplifies navigating and quick jumps to any location within the IDB. The Jump Anywhere is designed as a unified alternative to the various jump commands and as a faster successor to "Jump to address..." (`JumpAsk` action). |
| [Jump by name...](/ida-actions/jumpname.md)                        | `JumpName`            | Jump to the selected name. This command allows you to jump to a name definition by selecting it from the list of the names.                                                                                                                                                         |
| [Jump to function...](/ida-actions/jumpfunction.md)                | `JumpFunction`        | Jump to the selected function. This command shows you a list of functions: you can jump to the selected one by pressing <kbd>Enter</kbd>.                                                                                                                                           |
| [Jump to segment...](/ida-actions/jumpsegment.md)                  | `JumpSegment`         | Jump to the selected segment.                                                                                                                                                                                                                                                       |
| [Jump to segment register...](/ida-actions/jumpsegmentregister.md) | `JumpSegmentRegister` | Jump to the selected segment register change point.                                                                                                                                                                                                                                 |
| [Jump to problem...](/ida-actions/jumpq.md)                        | `JumpQ`               | Jump to the selected problematic location.                                                                                                                                                                                                                                          |
| [List cross references to...](/ida-actions/jumpxref.md)            | `JumpXref`            | Jump to the selected cross reference                                                                                                                                                                                                                                                |
| [List cross references from...](/ida-actions/jumpxreffrom.md)      | `JumpXrefFrom`        | Jump to a cross reference from current location                                                                                                                                                                                                                                     |
| [Jump to xref to operand...](/ida-actions/jumpopxref.md)           | `JumpOpXref`          | Jump to the selected cross reference to operand. This command shows you a list of cross-references to the current operand: you can jump to the selected one by pressing <kbd>Enter</kbd>.                                                                                           |
| [Jump to entry point...](/ida-actions/jumpentrypoint.md)           | `JumpEntryPoint`      | This command shows you a list of entry points: you can jump to the selected one by pressing <kbd>Enter</kbd>.                                                                                                                                                                       |
| [Jump to file offset...](/ida-actions/jumpfileoffset.md)           | `JumpFileOffset`      | Jump to file offset. IDA will ask you for a target file offset. This command jumps to the address corresponding to this specified file offset. If this file offset corresponds to a valid address then:                                                                             |
| Jump to link...                                                    | `JumpIdaLink`         |                                                                                                                                                                                                                                                                                     |
| [Mark position...](/ida-actions/markposition.md)                   | `MarkPosition`        | Remember the current position in the disassembly.                                                                                                                                                                                                                                   |
| [Jump to marked position...](/ida-actions/jumpposition.md)         | `JumpPosition`        | Jump to the selected marked position.                                                                                                                                                                                                                                               |
| [Clear mark...](/ida-actions/clearmark.md)                         | `ClearMark`           | Clear mark                                                                                                                                                                                                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/jump/pseudocode-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
